# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-myghty
%define fedora 19
%if !(0%{?fedora} >= 13 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

Name:           python-module-myghty
Version:        1.2
Release:        alt1_5
Summary:        Python-based templating system derived from HTML::Mason

Group:          Development/Python
License:        MIT
URL:            http://www.myghty.org
Source0:        http://pypi.python.org/packages/source/M/Myghty/Myghty-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
%if 0%{?fedora} <= 12
BuildRequires: python-module-distribute
%else
BuildRequires: python-module-setuptools
%endif
Source44: import.info


%description
Myghty is a Python based web and templating framework originally based on
HTML::Mason, the enterprise-level framework used by Amazon.com, del.icio.us
and Salon.com, among many others. Myghty fully implements Mason's templating
language, component-based architecture, and caching system, and goes beyond,
adding new paradigms such the Module Components controller paradigm, full
Python whitespace syntax, threading support, WSGI support, session support,
and much more.

%prep
%setup -q -n Myghty-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --root $RPM_BUILD_ROOT
(cd doc ; %{__python} genhtml.py)

%files
%doc doc/html/* examples LICENSE README
%{python_sitelibdir_noarch}/*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_5
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_4
- initial fc import

